/*
  Blank Simple Project.c
  http://learn.parallax.com/propeller-c-tutorials 
*/
#include "simpletools.h"                      // Include simple tools

void display_speed();

int main()                                    // Main function
{
  static volatile int control_position;
  cog_run(display_speed, 128);
  
  int speed_up = 1 << 21;
  int slow_down = 1 << 22;
  
  control_position = 0;
  
  DIRA &= ~(speed_up);
  DIRA &= ~(slow_down);

  

 
  while(1)
  {
    if ((INA & speed_up) == speed_up)
    {
      control_position ++;
      if (control_position == 6)
      {
        control_position = 5;
      }
    }
    
    if ((INA & slow_down) == slow_down)
    {
      control_position -- ;
      if (control_position < 0)
      {
        control_position = 0;
      }        
      }                      
      
    
    
    
        
  }  
}

void display_speed()
{

int lights = 0b111111 << 4;
DIRA |= (lights);
int pattern[] = {32, 16, 8, 4, 22, 1};
  while(1)
  {    

OUTA = (OUTA &~(lights)) | (pattern[control_position] << 4);
pause(300);
  }
  
}  